Subject: bug#52737: 29.0.50; pgtk and StumpWM: Cannot send C-t

From: Ashish SHUKLA <[email-masked]>
Date: Fri, 24 Dec 2021 12:55:26 +0530

On 2021-12-24 12:50, Po Lu wrote:
> Ashish SHUKLA <[email-masked]> writes:
> 
>> Hi,
>> 
>> FTR, me and OP also able to reproduce this behaviour successfully in
>> another Gtk 3.x application, gnome-terminal.
> 
> Does that mean the prefix doesn't work for you in GNOME Terminal 
> either?

Yes, I switched New Tab keyboard shortcut in gnome-terminal to C-t, and 
then it stopped working in StumpWM (with prefix = C-t). When I switched 
StumpWM's prefix to S-e, C-t started working in gnome-terminal again 
opening new tabs.

> 
>> Apart from this, I also noticed in my setup mouse wheel stopped
>> working. In M-x describe-key, in pgtk version it shows up as
>> <touch-end>, whereas in non-pgtk version, it's showing up as
>> <mouse-5>.
> 
> That's expected, as the X (without XInput2) and PGTK ports use 
> different
> events to report wheel movement.  It should all work though, so please
> tell what you see before `touch-end' in the help buffer describing the
> key sequence.
> 
> Or do you only see `touch-end'? In that case, it looks like a GTK bug I
> recall from somewhere.

I'll get back on this later today.

Thanks!
-- 
Ashish

"It could be that the purpose of your life is only to serve as a warning 
to others." (Ashleigh Brilliant)